Index Page vminus_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vminus_c ( ConstSpiceDouble v1[3],  SpiceDouble vout[3] )

#### Abstract

       Negate a double precision 3-dimensional vector.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       v1         I     Vector to be negated.
       vout       O     Negated vector -v1. vout can overwrite v1.

#### Detailed_Input

       v1      This may be any 3-dimensional, double precision vector.

#### Detailed_Output

       vout    This will be the negation (additive inverse) of v1.  It
               is a 3-dimensional, double precision vector.  vout may
               overwrite v1.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       vminus_c implements (by components) the expression vminus_c = -v1.
       No error checking is performed since overflow can occur ONLY if
       the dynamic range of positive floating point numbers is not the
       same size as the dynamic range of negative floating point
       numbers AND at least one component of v1 falls outside the
       common range.  The likelihood of this occuring is so small as to
       be of no concern.

#### Examples

       The following table shows the output vout as a function of the
       the input v1 from the subroutine vminus_c.

       v1                     vout
       -------------------------------------------------------
       (1, -2, 0)       (-1, 2, 0)
       (0, 0,  0)       (0, 0,  0)

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       W.M. Owen       (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vector const.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       negate a 3-dimensional vector

#### Link to routine vminus_c source file vminus_c.c

    Wed Apr  5 17:54:47 2017